#!/bin/bash

# 检查是否以root权限运行
if [ "$EUID" -ne 0 ]; then
  echo "请使用root权限运行此脚本"
  exit 1
fi

# 设置变量
SERVICE_NAME="site_total"
SERVICE_FILE="/etc/systemd/system/${SERVICE_NAME}.service"

# 检查服务是否存在
if [ ! -f "$SERVICE_FILE" ]; then
  echo "服务文件 $SERVICE_FILE 不存在，可能服务未安装"
  exit 1
fi

# 停止并禁用服务
echo "停止 $SERVICE_NAME 服务..."
systemctl stop "$SERVICE_NAME"
echo "禁用 $SERVICE_NAME 服务..."
systemctl disable "$SERVICE_NAME"

# 删除服务文件
echo "删除服务文件..."
rm -f "$SERVICE_FILE"

# 重新加载systemd配置
systemctl daemon-reload



# 删除nginx配置文件
echo "删除nginx配置文件..."
rm -f /www/server/panel/vhost/nginx/extension/*/site_total.conf

# 重载nginx
echo "重载nginx..."
/www/server/nginx/sbin/nginx -s reload

echo "$SERVICE_NAME 服务已成功卸载"